WALL(1)

NAME
wall - write to all users logged in

SYNOPSIS
wall [ -a ] [ filename ]

DESCRIPTION
wall reads the standard input until an EOF. It then sends this message, preceded by `Broadcast Message ...', to all logged in users. If filename is given, then the message is read in from that file. Normally, pseudo-terminals that do not correspond to rlogin sessions are ignored. Thus when in sunview(1), the message appears only on the console window. However, -a will send the message even to such pseudo-terminals.

The sender should be super-user to override any protections the users may have invoked.

FILES
/dev/tty?
/etc/utmp

SEE ALSO
mesg(1), sunview(1), write(1)